diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js
index 7f5144c9d..9efa5cab6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/primary_key.js
@@ -527,8 +527,7 @@ define('pgadmin.node.primary_key', [
           select2:{allowClear:false},
           filter: function(m) {
             // Don't show pg_global tablespace in selection.
-            if (m.label == 'pg_global') return false;
-            else return true;
+            return !(m.label == 'pg_global');
           },
           disabled: function(m) {
             // Disable if index is selected.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.js
index 38a1bc687..5447d5cfb 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/index_constraint/static/js/unique_constraint.js
@@ -403,11 +403,7 @@ define('pgadmin.node.unique_constraint', [
           disabled: function(m) {
             // Disable if index is selected.
             var index = m.get('index');
-            if(_.isUndefined(index) || index == '') {
-              return false;
-            } else {
-              return true;
-            }
+            return !(_.isUndefined(index) || index == '');
           },
         },{
           id: 'include', label: gettext('Include columns'),
@@ -517,8 +513,7 @@ define('pgadmin.node.unique_constraint', [
           select2:{allowClear:false},
           filter: function(m) {
             // Don't show pg_global tablespace in selection.
-            if (m.label == 'pg_global') return false;
-            else return true;
+            return !(m.label == 'pg_global');
           },
           disabled: function(m) {
             // Disable if index is selected.
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
index 91027e156..357ea68e1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
@@ -192,11 +192,7 @@ define('pgadmin.node.index', [
     inSchemaWithModelCheck: function(m) {
       if(m.top.node_info &&  'schema' in m.top.node_info) {
         // We will disable control if it's in 'edit' mode
-        if (m.top.isNew()) {
-          return false;
-        } else {
-          return true;
-        }
+        return !(m.top.isNew());
       }
       return true;
     },
@@ -419,20 +415,12 @@ define('pgadmin.node.index', [
           group: gettext('Definition'), model: ColumnModel, mode: ['edit', 'create'],
           canAdd: function(m) {
             // We will disable it if it's in 'edit' mode
-            if (m.isNew()) {
-              return true;
-            } else {
-              return false;
-            }
+            return (m.isNew());
           },
           canEdit: false,
           canDelete: function(m) {
             // We will disable it if it's in 'edit' mode
-            if (m.isNew()) {
-              return true;
-            } else {
-              return false;
-            }
+            return (m.isNew());
           },
           control: 'unique-col-collection', uniqueCol : ['colname'],
           columns: ['colname', 'op_class', 'sort_order', 'nulls', 'collspcname'],
@@ -532,11 +520,7 @@ define('pgadmin.node.index', [
         inSchemaWithModelCheck: function(m) {
           if(this.node_info &&  'schema' in this.node_info) {
             // We will disable control if it's in 'edit' mode
-            if (m.isNew()) {
-              return false;
-            } else {
-              return true;
-            }
+            return !(m.isNew());
           }
           return true;
         },
@@ -549,11 +533,7 @@ define('pgadmin.node.index', [
               return false;
             } else {
               // if we are in edit mode
-              if (!_.isUndefined(m.get('attnum')) && m.get('attnum') >= 1 ) {
-                return false;
-              } else {
-                return true;
-              }
+              return !(!_.isUndefined(m.get('attnum')) && m.get('attnum') >= 1 );
             }
           }
           return true;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index d831f8c1d..61cace617 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -1048,16 +1048,12 @@ function(
         },
         isInheritedTable: function(m) {
           if(!m.inSchema.apply(this, [m])) {
-            if(
+            // Either of_types or coll_inherits has value
+            return !(
               (!_.isUndefined(m.get('coll_inherits')) && m.get('coll_inherits').length != 0)
                 ||
                   (!_.isUndefined(m.get('typname')) && String(m.get('typname')).replace(/^\s+|\s+$/g, '') !== '')
-            ) {
-              // Either of_types or coll_inherits has value
-              return false;
-            } else {
-              return true;
-            }
+            );
           }
           return false;
         },
@@ -1137,11 +1133,7 @@ function(
           if(this.node_info &&  'schema' in this.node_info)
           {
             // We will disbale control if it's in 'edit' mode
-            if (m.isNew()) {
-              return false;
-            } else {
-              return true;
-            }
+            return !(m.isNew());
           }
           return true;
         },
@@ -1204,22 +1196,14 @@ function(
       canCreate_with_trigger_enable: function(itemData, item, data) {
         if(this.canCreate.apply(this, [itemData, item, data])) {
           // We are here means we can create menu, now let's check condition
-          if(itemData.tigger_count > 0) {
-            return true;
-          } else {
-            return false;
-          }
+          return (itemData.tigger_count > 0);
         }
       },
       // Check to whether table has enable trigger(s)
       canCreate_with_trigger_disable: function(itemData, item, data) {
         if(this.canCreate.apply(this, [itemData, item, data])) {
           // We are here means we can create menu, now let's check condition
-          if(itemData.tigger_count > 0 && itemData.has_enable_triggers > 0) {
-            return true;
-          } else {
-            return false;
-          }
+          return (itemData.tigger_count > 0 && itemData.has_enable_triggers > 0);
         }
       },
     });
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
index 5fe213617..2177efc14 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
@@ -57,19 +57,11 @@ define('pgadmin.node.rule', [
       hasDepends: true,
       canDrop: function(itemData, item){
         SchemaChildTreeNode.isTreeItemOfChildOfSchema.apply(this, [itemData, item]);
-        if(_.has(itemData, 'label') && itemData.label === '_RETURN')
-          return false;
-        else {
-          return true;
-        }
+        return !(_.has(itemData, 'label') && itemData.label === '_RETURN');
       },
       canDropCascade: function(itemData, item){
         SchemaChildTreeNode.isTreeItemOfChildOfSchema.apply(this, [itemData, item]);
-        if(_.has(itemData, 'label') && itemData.label === '_RETURN')
-          return false;
-        else {
-          return true;
-        }
+        return !(_.has(itemData, 'label') && itemData.label === '_RETURN');
       },
       url_jump_after_node: 'schema',
       Init: function() {
@@ -247,11 +239,7 @@ define('pgadmin.node.rule', [
               prev_e = prev_j ? t.itemData(prev_j) : null,
               prev_k = t.hasParent(prev_j) ? t.parent(prev_j) : null,
               prev_f = prev_k ? t.itemData(prev_k) : null;
-            if(!_.isNull(prev_f) && prev_f._type == 'catalog') {
-              return false;
-            } else {
-              return true;
-            }
+            return !(!_.isNull(prev_f) && prev_f._type == 'catalog');
           }
 
           /**
@@ -262,11 +250,7 @@ define('pgadmin.node.rule', [
             prev_i = t.hasParent(i) ? t.parent(i) : null;
             prev_j = t.hasParent(prev_i) ? t.parent(prev_i) : null;
             prev_e = prev_j ? t.itemData(prev_j) : null;
-            if(!_.isNull(prev_e) && prev_e._type == 'schema') {
-              return true;
-            }else{
-              return false;
-            }
+            return (!_.isNull(prev_e) && prev_e._type == 'schema');
           }
           i = t.hasParent(i) ? t.parent(i) : null;
           d = i ? t.itemData(i) : null;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 4d08e27c7..26a58b6d5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -1274,16 +1274,12 @@ define('pgadmin.node.table', [
         },
         isInheritedTable: function(m) {
           if(!m.inSchema.apply(this, [m])) {
-            if(
+            // Either of_types or coll_inherits has value
+            return !(
               (!_.isUndefined(m.get('coll_inherits')) && m.get('coll_inherits').length != 0)
-                ||
-                (!_.isUndefined(m.get('typname')) && String(m.get('typname')).replace(/^\s+|\s+$/g, '') !== '')
-            ) {
-              // Either of_types or coll_inherits has value
-              return false;
-            } else {
-              return true;
-            }
+              ||
+              (!_.isUndefined(m.get('typname')) && String(m.get('typname')).replace(/^\s+|\s+$/g, '') !== '')
+            );
           }
           return false;
         },
@@ -1374,11 +1370,7 @@ define('pgadmin.node.table', [
           if(this.node_info &&  'schema' in this.node_info)
           {
             // We will disbale control if it's in 'edit' mode
-            if (m.isNew()) {
-              return false;
-            } else {
-              return true;
-            }
+            return !(m.isNew());
           }
           return true;
         },
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
index d3b406957..f39d6b7c2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
@@ -442,15 +442,11 @@ define('pgadmin.node.trigger', [
               if(!m.inSchemaWithModelCheck.apply(this, [m])) {
                 // We will enabale truncate only for EDB PPAS
                 // and both triggers row & constarint are set to false
-                if(server_type === 'ppas' &&
+                return !(server_type === 'ppas' &&
                   !_.isUndefined(is_constraint_trigger) &&
                     !_.isUndefined(is_row_trigger) &&
                     is_constraint_trigger === false &&
-                    is_row_trigger === false) {
-                  return false;
-                } else {
-                  return true;
-                }
+                    is_row_trigger === false);
               } else {
                 // Disable it
                 return true;
@@ -505,13 +501,9 @@ define('pgadmin.node.trigger', [
             // set to Inline EDB-SPL
             var tfunction = m.get('tfunction'),
               server_type = m.node_info['server']['server_type'];
-
-            if(server_type === 'ppas' &&
-              !_.isUndefined(tfunction) &&
-                tfunction === 'Inline EDB-SPL')
-              return false;
-            else
-              return true;
+            return !(server_type === 'ppas' &&
+            !_.isUndefined(tfunction) &&
+              tfunction === 'Inline EDB-SPL');
           },
         },{
           id: 'is_sys_trigger', label: gettext('System trigger?'), cell: 'string',
@@ -575,11 +567,7 @@ define('pgadmin.node.trigger', [
         inSchemaWithModelCheck: function(m) {
           if(this.node_info &&  'schema' in this.node_info) {
             // We will disable control if it's in 'edit' mode
-            if (m.isNew()) {
-              return false;
-            } else {
-              return true;
-            }
+            return !(m.isNew());
           }
           return true;
         },
@@ -592,11 +580,7 @@ define('pgadmin.node.trigger', [
               return false;
             } else {
               // if we are in edit mode
-              if (!_.isUndefined(m.get('attnum')) && m.get('attnum') >= 1 ) {
-                return false;
-              } else {
-                return true;
-              }
+              return !(!_.isUndefined(m.get('attnum')) && m.get('attnum') >= 1 );
             }
           }
           return true;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
index 17a7b84aa..13f6a1273 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/types/static/js/type.js
@@ -385,11 +385,7 @@ define('pgadmin.node.type', [
           group: gettext('Definition'), mode: ['edit', 'create'],
           canAdd: true, canEdit: false, canDelete: function(m) {
             // We will disable it if it's in 'edit' mode
-            if (m.isNew()) {
-              return true;
-            } else {
-              return false;
-            }
+            return (m.isNew());
           },
           disabled: 'inSchema', deps: ['typtype'],
           control: 'unique-col-collection', uniqueCol : ['label'],
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
index 0f57ed833..55517c5fd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/static/js/mview.js
@@ -201,8 +201,7 @@ define('pgadmin.node.mview', [
           type: 'text', group: gettext('Storage'), first_empty: false,
           control: 'node-list-by-name', node: 'tablespace', select2: { allowClear: false },
           filter: function(m) {
-            if (m.label == 'pg_global') return false;
-            else return true;
+            return !(m.label == 'pg_global');
           },
         },{
           id: 'fillfactor', label: gettext('Fill factor'),
